/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 一步出单 POST /api/TaiPing/Proposal */
export async function proposal(body: API.ProposalInput, options?: API.RequestConfig) {
  return request<API.ProposalResponseData>('/api/TaiPing/Proposal', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 太平保险承保成功通知 POST /api/TaiPing/Success */
export async function success(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIsuccessParams,
  options?: API.RequestConfig
) {
  return request<string>('/api/TaiPing/Success', {
    method: 'POST',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}
